Page MenuHomePhabricator

Enable data type Mathematical expression on wikidata.org
Closed, ResolvedPublic

Event Timeline

WickieTheViking updated the task description. (Show Details)
WickieTheViking raised the priority of this task from to Normal.
WickieTheViking claimed this task.
WickieTheViking added a subscriber: WickieTheViking.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 27 2016, 5:29 PM

I'll set a date with @aude when she's back in the office.

@WickieTheViking since you assigned the task to yourself, you should also upload a config change to gerrit. As far as I know the deploy policity of the config repo requires that merged changes are deployed immediately. Thus the date @Lydia_Pintscher mentions is equivalent to the merge date.

Llyrian confirmed that he can do it tommorow.

Change 267405 had a related patch set uploaded (by Llyrian):
Enable data type mathematical expression on wikidata.org

https://gerrit.wikimedia.org/r/267405

aude moved this task from Backlog to Doing on the Wikidata-Sprint-2016-02-02 board.Feb 3 2016, 1:19 PM
Lydia_Pintscher moved this task from incoming to in progress on the Wikidata board.Feb 3 2016, 1:31 PM

this is enabled on test.wikidata.org and we plan to enable it on Wikidata on February 9.

see https://lists.wikimedia.org/pipermail/wikidata/2016-February/008140.html for more technical details about the new data type

Johan added a subscriber: Johan.Feb 5 2016, 12:22 PM

Thanks for the detailed information with date and link. Much appreciated!

Change 269398 had a related patch set uploaded (by Aude):
Enable math data type on Wikidata and everywhere

https://gerrit.wikimedia.org/r/269398

aude added a comment.Feb 9 2016, 12:55 PM

we plan to deploy this during swat later (16:00 UTC)

aude moved this task from Doing to Review on the Wikidata-Sprint-2016-02-02 board.Feb 9 2016, 1:13 PM

Change 269398 merged by jenkins-bot:
Enable math data type on Wikidata and everywhere

https://gerrit.wikimedia.org/r/269398

aude closed this task as Resolved.Feb 9 2016, 4:19 PM
aude removed a project: Patch-For-Review.

math data type has been enabled

aude moved this task from Review to Done on the Wikidata-Sprint-2016-02-02 board.Feb 9 2016, 4:19 PM

Change 267405 abandoned by Aude:
Enable data type mathematical expression on wikidata.org

Reason:
it's been enabled now

https://gerrit.wikimedia.org/r/267405